<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects;

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
{
    public partial class CreateProject
        : IProjectInfo
    {
        public virtual string Title { get; set; }
        public virtual DateTime? StartDate { get; set; }
        public virtual DateTime? EndDate { get; set; }
        public virtual string Description { get; set; }
        public virtual string Connector { get; set; }
        public virtual string PoReference { get; set; }
        public virtual string ActualSourceLanguage { get; set; }
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
{
    public partial class SendForTranslation
    {
        public virtual IEnumerable<Guid> Ids { get; set; }
        public virtual CreateProject ProjectData { get; set; }
    }

}

C# SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}